Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet.jaxb.impl
Class XMLetTypeImpl

    org.huihoo.jfox.xmlet.jaxb.impl.XMLetTypeImpl

All Implemented Interfaces:
  XMLetType

public class XMLetTypeImpl
implements XMLetType

Inner Class Summary
`static class` | `XMLetTypeImpl.ARGUMENTSTypeImpl`
`static class` | `XMLetTypeImpl.ATTRIBUTESTypeImpl`
`class` | `XMLetTypeImpl.Unmarshaller`

Inner classes inherited from class org.huihoo.jfox.xmlet.jaxb.XMLetType
`XMLetType.ARGUMENTSType, XMLetType.ATTRIBUTESType`

Field Summary
`protected java.lang.String` | `_ARCHIVE`
`protected XMLetType.ARGUMENTSType` | `_ARGUMENTS`
`protected XMLetType.ATTRIBUTESType` | `_ATTRIBUTES`
`protected java.lang.String` | `_CODE`
`protected java.lang.String` | `_CODEBASE`
`protected java.lang.String` | `_NAME`
`protected java.lang.String` | `_OBJECT`
`protected java.lang.String` | `_VERSION`

Constructor Summary
`XMLetTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`java.lang.String` | `getARCHIVE()`
`XMLetType.ARGUMENTSType` | `getARGUMENTS()`
`XMLetType.ATTRIBUTESType` | `getATTRIBUTES()`
`java.lang.String` | `getCODE()`
`java.lang.String` | `getCODEBASE()`
`java.lang.String` | `getNAME()`
`java.lang.String` | `getOBJECT()`
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.Class` | `getPrimaryInterfaceClass()`
`com.sun.xml.bind.unmarshaller.ContentHandlerEx` | `getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)`
`java.lang.String` | `getVERSION()`
`void` | `serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `setARCHIVE(java.lang.String value)`
`void` | `setARGUMENTS(XMLetType.ARGUMENTSType value)`
`void` | `setATTRIBUTES(XMLetType.ATTRIBUTESType value)`
`void` | `setCODE(java.lang.String value)`
`void` | `setCODEBASE(java.lang.String value)`
`void` | `setNAME(java.lang.String value)`
`void` | `setOBJECT(java.lang.String value)`
`void` | `setVERSION(java.lang.String value)`

Field Detail

### _CODE

    protected java.lang.String _CODE

### _OBJECT

    protected java.lang.String _OBJECT

### _ARGUMENTS

    protected XMLetType.ARGUMENTSType _ARGUMENTS

### _ATTRIBUTES

    protected XMLetType.ATTRIBUTESType _ATTRIBUTES

### _CODEBASE

    protected java.lang.String _CODEBASE

### _VERSION

    protected java.lang.String _VERSION

### _NAME

    protected java.lang.String _NAME

### _ARCHIVE

    protected java.lang.String _ARCHIVE

Constructor Detail

### XMLetTypeImpl

    public XMLetTypeImpl()

Method Detail

### getCODE

    public java.lang.String getCODE()

  Specified by:
    `getCODE` in interface `XMLetType`

### setCODE

    public void setCODE(java.lang.String value)

  Specified by:
    `setCODE` in interface `XMLetType`

### getOBJECT

    public java.lang.String getOBJECT()

  Specified by:
    `getOBJECT` in interface `XMLetType`

### setOBJECT

    public void setOBJECT(java.lang.String value)

  Specified by:
    `setOBJECT` in interface `XMLetType`

### getARGUMENTS

    public XMLetType.ARGUMENTSType getARGUMENTS()

  Specified by:
    `getARGUMENTS` in interface `XMLetType`

### setARGUMENTS

    public void setARGUMENTS(XMLetType.ARGUMENTSType value)

  Specified by:
    `setARGUMENTS` in interface `XMLetType`

### getATTRIBUTES

    public XMLetType.ATTRIBUTESType getATTRIBUTES()

  Specified by:
    `getATTRIBUTES` in interface `XMLetType`

### setATTRIBUTES

    public void setATTRIBUTES(XMLetType.ATTRIBUTESType value)

  Specified by:
    `setATTRIBUTES` in interface `XMLetType`

### getCODEBASE

    public java.lang.String getCODEBASE()

  Specified by:
    `getCODEBASE` in interface `XMLetType`

### setCODEBASE

    public void setCODEBASE(java.lang.String value)

  Specified by:
    `setCODEBASE` in interface `XMLetType`

### getVERSION

    public java.lang.String getVERSION()

  Specified by:
    `getVERSION` in interface `XMLetType`

### setVERSION

    public void setVERSION(java.lang.String value)

  Specified by:
    `setVERSION` in interface `XMLetType`

### getNAME

    public java.lang.String getNAME()

  Specified by:
    `getNAME` in interface `XMLetType`

### setNAME

    public void setNAME(java.lang.String value)

  Specified by:
    `setNAME` in interface `XMLetType`

### getARCHIVE

    public java.lang.String getARCHIVE()

  Specified by:
    `getARCHIVE` in interface `XMLetType`

### setARCHIVE

    public void setARCHIVE(java.lang.String value)

  Specified by:
    `setARCHIVE` in interface `XMLetType`

### getUnmarshaller

    public com.sun.xml.bind.unmarshaller.ContentHandlerEx getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)

### getPrimaryInterfaceClass

    public java.lang.Class getPrimaryInterfaceClass()

### serializeElements

    public void serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)
                           throws org.xml.sax.SAXException

### serializeAttributes

    public void serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)
                             throws org.xml.sax.SAXException

### serializeAttributeBodies

    public void serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)
                                  throws org.xml.sax.SAXException

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD